Repository problem?

Added by FuN KeY 9 months ago

Hello everyone,

Starting tonight I am unable to update tvheadend using the apt repository.

At the time I did follow the procedure described here: https://bintray.com/tvheadend/ubuntu and it worked pretty well.

Here is what I now get when I try to do an "apt-get update"

Ign:5 https://dl.bintray.com/tvheadend/ubuntu master InRelease
Ign:6 https://dl.bintray.com/tvheadend/ubuntu master Release
Ign:7 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages.diff/Index
Ign:8 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages.diff/Index
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Ign:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
Ign:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Ign:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
Ign:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Ign:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
Ign:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Ign:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
Ign:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Ign:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
Ign:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
Ign:9 https://dl.bintray.com/tvheadend/ubuntu master/main all Packages
Ign:10 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en_US
Ign:11 https://dl.bintray.com/tvheadend/ubuntu master/main Translation-en
Err:12 https://dl.bintray.com/tvheadend/ubuntu master/main amd64 Packages
  404  Not Found
Err:13 https://dl.bintray.com/tvheadend/ubuntu master/main i386 Packages
  404  Not Found
Fetched 94.5 kB in 1s (55.5 kB/s)
Reading package lists... Done
W: The repository 'https://dl.bintray.com/tvheadend/ubuntu master Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch https://dl.bintray.com/tvheadend/ubuntu/dists/master/main/binary-amd64/Packages  404  Not Found
E: Failed to fetch https://dl.bintray.com/tvheadend/ubuntu/dists/master/main/binary-i386/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

Anyone else with the problem?


Replies (45)

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Jonathan Thomson wrote:

Which architecture?

Hello,

amd64 for Debian Jessie.

RE: Repository problem? - Added by Jonathan Thomson 9 months ago

The legacy Bintray repository has those builds in :)

https://tvheadend.org/projects/tvheadend/wiki/AptRepository (towards the bottom).

AFAIK it's the arm builds that are missing but I've got those covered for now.

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Jonathan Thomson wrote:

The legacy Bintray repository has those builds in :)

https://tvheadend.org/projects/tvheadend/wiki/AptRepository (towards the bottom).

AFAIK it's the arm builds that are missing but I've got those covered for now.

I use bintray repo and it is not working:

https://dl.bintray.com/tvheadend/deb/dists/jessie/unstable/binary-amd64/Packages  HttpError403

Regards.

RE: Repository problem? - Added by Jonathan Thomson 9 months ago

That's not the legacy one, please refer to the page I directed you to ;)

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Jonathan Thomson wrote:

That's not the legacy one, please refer to the page I directed you to ;)

Did you say this one? http://apt.tvheadend.org/

I will try it.

Best regards.

RE: Repository problem? - Added by Marco Jakobs 9 months ago

I've contacted Bintray 3 days ago concerning that issue, here's the answer:

Thank you for contacting us. We’d like to clarify that the 403 Errors that you are experiencing are not due to any server issues, but rather an administrative issue that we are investigating internally. We will update you soon.

However, even 2 after 2 days of their investigation they did not resolve it.

It's annoying ...

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Jonathan Thomson wrote:

That's not the legacy one, please refer to the page I directed you to ;)

Thanks!

I configure this way:

nano /etc/apt/sources.list
#tvheadend
deb http://apt.tvheadend.org/unstable jessie main
wget http://apt.tvheadend.org/repo.gpg.key
apt-key add repo.gpg.key
apt-get update 
apt-get install tvheadend

And it works, thanks for your help.

Best regards.

RE: Repository problem? - Added by Marco Jakobs 9 months ago

Hmmm, changing the repo might be good for a new install but will mix up things if you want to update, right?

However, there was a big boom announcing the new bintray repos. They still did not fix their issues after 4 days ... seems as if that was not the best decision :-|

RE: Repository problem? - Added by Jonathan Thomson 9 months ago

There is no impact on changing or adding repositories - apt will always update from the latest version available - you can even switch between repository-based builds and self-built builds with no impact.

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Thanks,

So could I use apt.tvheadend.org?

Is it going to be updated?

Best regards.

RE: Repository problem? - Added by Marco Jakobs 9 months ago

Cool, that worked for me! :-)

Many thanks!

RE: Repository problem? - Added by Adam Sutton 9 months ago

Sorry all,

I've been away from the project (for years now :( ) and the only involvement I've had of late is to make sure the apt repo is working. Unfortunately turns out we went over our quota with bintray and they cut us off.

Unfortunately I failed to respond to their emails, as I've been busy and no one from the project bugged me (or tried hard enough).

I "think" I have now resolved the issues with bintray and got them to allow our current usage (which is actually against there T&C's), but with removing OLD daily packages.

Unfortunately nothing new has been submitted to create a new build, so everything is still weeks out of date. I'll try and force a manual update later.

Adam

RE: Repository problem? - Added by Josu Lazkano 9 months ago

Thanks Adam,

So we could continue using bintray repo?

Kind regards.

RE: Repository problem? - Added by Raymond Paulsen 9 months ago

I dont know yet if the repositorys are completly back online, the bintray repository for jessie is missing unstable.
https://dl.bintray.com/tvheadend/deb/dists/jessie/unstable/ gives a 404 error missing files.

The other distros have unstable so there is something wrong witht he build process.

RE: Repository problem? - Added by David jrm 9 months ago

Raymond Paulsen wrote:

I dont know yet if the repositorys are completly back online, the bintray repository for jessie is missing unstable.
https://dl.bintray.com/tvheadend/deb/dists/jessie/unstable/ gives a 404 error missing files.

The other distros have unstable so there is something wrong witht he build process.

I have just updated using the jessie unstable dist. properly, so it should be working now

RE: Repository problem? - Added by FuN KeY 9 months ago

Since Adam's post it works flawlessly for me on Ubuntu 16.04 x64

RE: Repository problem? - Added by Raymond Paulsen 9 months ago

yes after a couple of hours after the first post i made, the repository was updated with unstable, seems to work just fine now. Thanks Adam

RE: Repository problem? - Added by big big 8 months ago

Great job!
No more armhf build...
A raspberry pi is not good for building a package all the time... :(

Really too bad...

RE: Repository problem? - Added by Jonathan Thomson 8 months ago

My repository has the armhf builds in.

RE: Repository problem? - Added by big big 8 months ago

Yes, you're right, you did it! :)
Thank's a lot.

But I think that official bintray had it and mus t continue to have it as default...

1 2 (26-45/45)